Bug 145837 - Ksirtet controls stop working if window focus lost then regained
Ksirtet controls stop working if window focus lost then regained
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdegames (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
http://ksirtet.sourceforge.net
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-21 21:59 EST by Ben Stringer
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-27 10:16:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Stringer 2005-01-21 21:59:54 EST
Description of problem:
During a game of Ksirtet, if the mouse is out of the window to do
something else (loosing focus) then moved back in, some of the
controls (eg. down arrow to drop a brick) no longer work for the
duration of that game. Selecting "New Game" and the controls all work
again.


Version-Release number of selected component (if applicable):
Ksirtet 2.1.10 (4 July 2004) using KDE 3.3.1-2.4.FC3

How reproducible:
Always. Sometimes only the drop stops working, sometimes more controls.


Steps to Reproduce:
1. Start Ksirtet
2. Start a game
3. During the game, move the mouse to another window and click on it
4. Move the mouse back to teh Ksirtet window and click on it.
5. Try the "down arrow" to drop a brick.
  
Actual results:
Down arrow no longer works.


Expected results:
Controls keep working.


Additional info:
Also emailed this to the author, Nicolal Hadacek.
Comment 1 Ben Stringer 2005-03-13 08:09:13 EST
Nicolas Hadacek replied to me saying this should be fixed in v2.1.11
(KDE 3.3.1). Not sure if/when this version will be updated for FC3.
Comment 2 Ngo Than 2005-10-27 10:16:05 EDT
It's already fixed in KDE-3.4.2 which is included in FC3 update. Many thanks  
for  
your report.  

Note You need to log in before you can comment on or make changes to this bug.